---
import Nav from '../components/Nav.astro'

interface Props{
    title: string
}

const {title = 'Astro'} = Astro.props as Props
---

<html lang="en">
	<head>
		<meta charset="utf-8" />
		<link rel="icon" type="image/svg+xml" href="/favicon.svg" />
		<meta name="viewport" content="width=device-width" />
		<meta name="generator" content={Astro.generator} />
		<title>{title}</title>
	</head>
	<body>
		<header>
			<Nav />
		</header>
		<main class="mt-[60px] px-4">
			<slot />
		</main>
	</body>
</html>